<mat-menu>test</mat-menu>
<mat-card>
  <form (submit)="onSavePost(postForm)" #postForm="ngForm">
    <mat-form-field>
      <mat-label>Title</mat-label>
      <input
        matInput
        type="text"
        name="title"
        [ngModel]="post?.title"
        required
        minLength="3"
        #title="ngModel"
      />
      <mat-error *ngIf="title.invalid">Enter your Title</mat-error>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Content</mat-label>
      <textarea
        matInput
        rows="6"
        name="content"
        [ngModel]="post?.content"
        type="text"
        required
        #content="ngModel"
      ></textarea>
      <mat-error *ngIf="content.invalid">Enter your Content</mat-error>
    </mat-form-field>
    <button mat-raised-button color="primary" type="submit">Save Post</button>
  </form>
</mat-card>
